%define anolis_release 1

Summary: Enclosure LED Utilities
Name: ledmon
Version: 1.0.0
Release: %{anolis_release}%{?dist}
License: GPL-2.0-only AND LGPL-2.1-only
URL: https://github.com/intel/ledmon
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf automake
BuildRequires: autoconf-archive
BuildRequires: gcc make
BuildRequires: libconfig-devel
BuildRequires: libtool
BuildRequires: pciutils-devel
BuildRequires: sg3_utils-devel
# Needed for pkgconfig usage.
BuildRequires: pkgconfig(systemd)
# Needed for the udev dependency.
BuildRequires: systemd-devel
BuildRequires: systemd-rpm-macros

Obsoletes: ledctl = 0.1-1
Provides: ledctl = %{version}-%{release}

%description
The ledmon and ledctl are user space applications design to control LED
associated with each slot in an enclosure or a drive bay. There are two
types of system: 2-LED system (Activity LED, Status LED) and 3-LED system
(Activity LED, Locate LED, Fail LED). User must have root privileges to
use this application.

%package        libs
Summary:        Runtime library files for %{name}
Requires:       pciutils-libs
Requires:       sg3_utils-libs

%description    libs
The %{name}-libs package contains runtime libraries for applications
that use %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pciutils-devel
Requires:       sg3_utils-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
autoreconf -fiv

%build
%configure --enable-systemd=yes --enable-library --disable-static
%make_build

%install
%make_install

%generate_compatibility_deps

%post
%systemd_post ledmon.service

%preun
%systemd_preun ledmon.service

%postun
%systemd_postun_with_restart ledmon.service

%files
%doc README.md
%dir %{abidir}
%{_sbindir}/ledctl
%{_sbindir}/ledmon
%{abidir}/ledctl-option.list
%{abidir}/ledmon-option.list
%{_mandir}/*/*
%{_unitdir}/ledmon.service

%files libs
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{abidir}/libled.dump
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc COPYING

%changelog
* Thu Feb 20 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.0-1
- Sync up from CentOS Stream ledmon-1.0.0-1(tdawson@redhat.com)
